SubscriptionInfo (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.jms.management

## Class SubscriptionInfo

- java.lang.Object
- - org.apache.activemq.artemis.api.jms.management.SubscriptionInfo

-     public class SubscriptionInfo
      extends Object

  Helper class to create Java Objects from the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubscriptionInfo[]` | `from(String jsonString)` Returns an array of SubscriptionInfo corresponding to the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.
    `String` | `getClientID()` Returns the client ID of this subscription or `null`.
    `int` | `getDeliveringCount()` Returns the number of messages currently delivered to this subscription.
    `int` | `getMessageCount()` Returns the number of messages currently held by this subscription.
    `String` | `getName()` Returns the name of this subscription.
    `String` | `getQueueName()` Returns the name of the ActiveMQ Artemis core queue corresponding to this subscription.
    `String` | `getSelector()` Returns the JMS message selector associated to this subscription.
    `boolean` | `isDurable()` Returns whether this subscription is durable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public static SubscriptionInfo[] from(String jsonString)
                                         throws Exception

      Returns an array of SubscriptionInfo corresponding to the JSON serialization returned by `TopicControl.listAllSubscriptionsAsJSON()` and related methods.
      Throws:
        `Exception`

    - #### getQueueName

          public String getQueueName()

      Returns the name of the ActiveMQ Artemis core queue corresponding to this subscription.

    - #### getClientID

          public String getClientID()

      Returns the client ID of this subscription or `null`.

    - #### getName

          public String getName()

      Returns the name of this subscription.

    - #### isDurable

          public boolean isDurable()

      Returns whether this subscription is durable.

    - #### getSelector

          public String getSelector()

      Returns the JMS message selector associated to this subscription.

    - #### getMessageCount

          public int getMessageCount()

      Returns the number of messages currently held by this subscription.

    - #### getDeliveringCount

          public int getDeliveringCount()

      Returns the number of messages currently delivered to this subscription.

Copyright © 2015. All rights reserved.